Forum Discussion

fidanserkant's avatar
fidanserkant
New Member
2 years ago

What version of Log4j is vulnerable for ReadyAPI ?

1 Reply

  • TNeuschwanger's avatar
    TNeuschwanger
    Champion Level 2

    Hello fidanserkant 

     

    I am not exactly sure what you are asking...

     

    Smartbear (or any software manufacturer) likes to have users on the latest version of their product.  The current version of ReadyAPI (3.20.2) contains Log4j version 2.17.1 which at this time is the latest version of Log4j that addresses known vulnerabilities.  If you are using the latest version of ReadyAPI, you have the latest version of Log4j.  You can see the version of Log4j you are using by looking for filenames beginning with "log4j" in the "lib" directory of where you installed ReadyAPI.

     

    Regards,

    Todd